--Initialization
local acceptedCategories = {"crafting", "advanced-crafting", "yuoki-formpress-recipe", "yuoki-wonder-recipe"}
local suffix = "-recipe"

function editRecipes(t_elts)
    for elt_name, elt in pairs(t_elts) do
        --Get Recipe
        local recipe = data.raw.recipe[elt_name] and data.raw.recipe[elt_name] or data.raw.recipe[elt_name .. suffix]
        --After the search of the recipe if recipe is sill not nil, we add the reverse factory recipe
        if recipe then
            --Set default value for recipe without category property (default value = "crafting")
            recipe.category = recipe.category and recipe.category or "crafting"
            --Check accepted categories
            --for _, acceptedCategory in pairs(acceptedCategories) do
                --if recipe.category == acceptedCategory then
					--recipe.enabled = "true"
					recipe.energy_required = 0
					--recipe.ingredients = {{"raw-wood", 1}}
                --end
            --end
        end
    end
end

--Create recycling recipes
editRecipes(data.raw.ammo)       --Create recipes for all ammunitions
editRecipes(data.raw.armor)      --Create recipes for all armors
editRecipes(data.raw.item)       --Create recipes for all items
editRecipes(data.raw.gun)        --Create recipes for all weapons
editRecipes(data.raw.capsule)    --Create recipes for all capsules
editRecipes(data.raw.module)     --Create recipes for all modules
editRecipes(data.raw.tool)       --Create recipes for all tools
